<?php

namespace Drp\Analytics\Foundation\Handlers;

use Drp\Analytics\Contracts\HandlesAnalytics;
use Drp\Analytics\Foundation\AnalyticPayload;
use Drp\Analytics\Foundation\AnalyticReference;
use Drp\Analytics\Models\Analytic;

class MySqlAnalytic implements HandlesAnalytics
{
    public function store(AnalyticReference $reference, AnalyticPayload $payload): void
    {
        Analytic::create(
            array_merge($reference->getAnalyticable(), [
                'type' => $reference->getType(),
                'payload' => $payload->getData(),
            ]
        ));
    }
}
