<?php

namespace Drp\Analytics\Http\Controllers;

use Drp\Analytics\Facades\Analytics;
use Drp\Analytics\Foundation\AnalyticReference;
use Drp\Analytics\Http\Requests\StoreAnalyticsRequest;
use Illuminate\Http\JsonResponse;
use Illuminate\Routing\Controller;

class StoreAnalyticsController extends Controller
{
    public function __invoke(StoreAnalyticsRequest $request): JsonResponse
    {
        Analytics::store(
            AnalyticReference::fromRequest($request),
            $request->get('payload')
        );

        return response()->json();
    }
}
